GlueGen: com.jogamp.common.JogampRuntimeException Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.common.JogampRuntimeException Class Reference

A generic unchecked exception for Jogamp errors used throughout the binding as a substitute for `RuntimeException`. More...

Inheritance diagram for com.jogamp.common.JogampRuntimeException:
Collaboration diagram for com.jogamp.common.JogampRuntimeException:

## Public Member Functions

| JogampRuntimeException ()
| Constructs a JogampRuntimeException object. More...
| JogampRuntimeException (final String message)
| Constructs a JogampRuntimeException object with the specified detail message. More...
| JogampRuntimeException (final String message, final Throwable cause)
| Constructs a JogampRuntimeException object with the specified detail message and root cause. More...
| JogampRuntimeException (final Throwable cause)
| Constructs a JogampRuntimeException object with the specified root cause. More...

## Detailed Description

A generic unchecked exception for Jogamp errors used throughout the binding as a substitute for `RuntimeException`.

Definition at line 36 of file JogampRuntimeException.java.

## Constructor & Destructor Documentation

## ◆ JogampRuntimeException() [1/4]

com.jogamp.common.JogampRuntimeException.JogampRuntimeException | ( |  | ) |

Constructs a JogampRuntimeException object.

Definition at line 38 of file JogampRuntimeException.java.

## ◆ JogampRuntimeException() [2/4]

com.jogamp.common.JogampRuntimeException.JogampRuntimeException | ( | final String | message | ) |

Constructs a JogampRuntimeException object with the specified detail message.

Definition at line 44 of file JogampRuntimeException.java.

## ◆ JogampRuntimeException() [3/4]

com.jogamp.common.JogampRuntimeException.JogampRuntimeException | ( | final String | message,
|  | final Throwable | cause
| ) |  |

Constructs a JogampRuntimeException object with the specified detail message and root cause.

Definition at line 50 of file JogampRuntimeException.java.

## ◆ JogampRuntimeException() [4/4]

com.jogamp.common.JogampRuntimeException.JogampRuntimeException | ( | final Throwable | cause | ) |

Constructs a JogampRuntimeException object with the specified root cause.

Definition at line 56 of file JogampRuntimeException.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/JogampRuntimeException.java